gconfmm 2.28.3

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- c
- d
- e
- f
- g
- k
- n
- o
- p
- r
- s
- t
- u
- v
- w
- ~

### - a -

- add_dir() : Gnome::Conf::Client
- all_dirs() : Gnome::Conf::Client
- all_entries() : Gnome::Conf::Client

### - c -

- change_set_commit() : Gnome::Conf::Client
- change_set_from_current() : Gnome::Conf::Client
- change_set_reverse() : Gnome::Conf::Client
- ChangeSet() : Gnome::Conf::ChangeSet
- clear() : Gnome::Conf::ChangeSet
- clear_cache() : Gnome::Conf::Client
- code() : Gnome::Conf::Error

### - d -

- dir_exists() : Gnome::Conf::Client

### - e -

- Entry() : Gnome::Conf::Entry
- Error() : Gnome::Conf::Error
- error() : Gnome::Conf::Client
- Error() : Gnome::Conf::Error
- exists() : Gnome::Conf::ChangeSet

### - f -

- for_each() : Gnome::Conf::ChangeSet

### - g -

- get() : Gnome::Conf::Client
- get_bool() : Gnome::Conf::Client , Gnome::Conf::Value
- get_bool_list() : Gnome::Conf::Client , Gnome::Conf::Value
- get_car() : Gnome::Conf::Value
- get_car_type() : Gnome::Conf::Schema
- get_cdr() : Gnome::Conf::Value
- get_cdr_type() : Gnome::Conf::Schema
- get_client_for_engine() : Gnome::Conf::Client
- get_default_client() : Gnome::Conf::Client
- get_default_from_schema() : Gnome::Conf::Client
- get_default_value() : Gnome::Conf::Schema
- get_entry() : Gnome::Conf::Client
- get_float() : Gnome::Conf::Client , Gnome::Conf::Value
- get_float_list() : Gnome::Conf::Client , Gnome::Conf::Value
- get_int() : Gnome::Conf::Client , Gnome::Conf::Value
- get_int_list() : Gnome::Conf::Client , Gnome::Conf::Value
- get_is_default() : Gnome::Conf::Entry
- get_is_writable() : Gnome::Conf::Entry
- get_key() : Gnome::Conf::Entry
- get_list_type() : Gnome::Conf::Schema , Gnome::Conf::Value
- get_locale() : Gnome::Conf::Schema
- get_long_desc() : Gnome::Conf::Schema
- get_owner() : Gnome::Conf::Schema
- get_pair() : Gnome::Conf::Client
- get_schema() : Gnome::Conf::Client , Gnome::Conf::Value
- get_schema_list() : Gnome::Conf::Client , Gnome::Conf::Value
- get_schema_name() : Gnome::Conf::Entry
- get_short_desc() : Gnome::Conf::Schema
- get_string() : Gnome::Conf::Value , Gnome::Conf::Client
- get_string_list() : Gnome::Conf::Client , Gnome::Conf::Value
- get_type() : Gnome::Conf::Value , Gnome::Conf::Schema
- get_value() : Gnome::Conf::Entry
- get_without_default() : Gnome::Conf::Client
- gobj() : Gnome::Conf::Entry , Gnome::Conf::ChangeSet , Gnome::Conf::Entry , Gnome::Conf::Client , Gnome::Conf::Schema , Gnome::Conf::Value , Gnome::Conf::Client , Gnome::Conf::Schema , Gnome::Conf::ChangeSet
- gobj_copy() : Gnome::Conf::Client , Gnome::Conf::Entry , Gnome::Conf::ChangeSet , Gnome::Conf::Value , Gnome::Conf::Schema

### - k -

- key_is_writable() : Gnome::Conf::Client

### - n -

- notify() : Gnome::Conf::Client
- notify_add() : Gnome::Conf::Client
- notify_remove() : Gnome::Conf::Client

### - o -

- on_error() : Gnome::Conf::Client
- on_unreturned_error() : Gnome::Conf::Client
- on_value_changed() : Gnome::Conf::Client
- operator=() : Gnome::Conf::Schema , Gnome::Conf::Entry , Gnome::Conf::Value , Gnome::Conf::ChangeSet

### - p -

- preload() : Gnome::Conf::Client

### - r -

- recursive_unset() : Gnome::Conf::Client
- remove() : Gnome::Conf::ChangeSet
- remove_dir() : Gnome::Conf::Client

### - s -

- Schema() : Gnome::Conf::Schema
- set() : Gnome::Conf::Client , Gnome::Conf::ChangeSet , Gnome::Conf::Client , Gnome::Conf::ChangeSet , Gnome::Conf::Client , Gnome::Conf::Value , Gnome::Conf::ChangeSet , Gnome::Conf::SetInterface , Gnome::Conf::Value , Gnome::Conf::SetInterface , Gnome::Conf::Client , Gnome::Conf::Value , Gnome::Conf::SetInterface , Gnome::Conf::Value , Gnome::Conf::SetInterface , Gnome::Conf::Client , Gnome::Conf::Value , Gnome::Conf::ChangeSet
- set_bool_list() : Gnome::Conf::Client , Gnome::Conf::Value , Gnome::Conf::SetInterface
- set_car() : Gnome::Conf::Value
- set_car_type() : Gnome::Conf::Schema
- set_cdr() : Gnome::Conf::Value
- set_cdr_type() : Gnome::Conf::Schema
- set_default_value() : Gnome::Conf::Schema
- set_error_handling() : Gnome::Conf::Client
- set_float_list() : Gnome::Conf::Client , Gnome::Conf::Value , Gnome::Conf::SetInterface
- set_int_list() : Gnome::Conf::Client , Gnome::Conf::Value , Gnome::Conf::SetInterface
- set_is_default() : Gnome::Conf::Entry
- set_is_writable() : Gnome::Conf::Entry
- set_list_type() : Gnome::Conf::Value , Gnome::Conf::Schema
- set_locale() : Gnome::Conf::Schema
- set_long_desc() : Gnome::Conf::Schema
- set_owner() : Gnome::Conf::Schema
- set_schema_list() : Gnome::Conf::Value , Gnome::Conf::SetInterface , Gnome::Conf::Client
- set_schema_name() : Gnome::Conf::Entry
- set_short_desc() : Gnome::Conf::Schema
- set_string_list() : Gnome::Conf::Value , Gnome::Conf::SetInterface , Gnome::Conf::Client
- set_type() : Gnome::Conf::Schema
- set_value() : Gnome::Conf::Entry
- signal_error() : Gnome::Conf::Client
- signal_value_changed() : Gnome::Conf::Client
- size() : Gnome::Conf::ChangeSet
- suggest_sync() : Gnome::Conf::Client

### - t -

- to_string() : Gnome::Conf::Value

### - u -

- unset() : Gnome::Conf::Client , Gnome::Conf::ChangeSet

### - v -

- Value() : Gnome::Conf::Value
- value_changed() : Gnome::Conf::Client

### - w -

- wrap() : Gnome::Conf::Client , Gnome::Conf::Value , Gnome::Conf::Schema , Gnome::Conf::Entry

### - ~ -

- ~ChangeSet() : Gnome::Conf::ChangeSet
- ~Client() : Gnome::Conf::Client
- ~Entry() : Gnome::Conf::Entry
- ~Schema() : Gnome::Conf::Schema
- ~Value() : Gnome::Conf::Value